Batch list members

Returns users and groups.

Request

POST

http://<хост_on-premises>/rpc/batchListMembers

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "language": "en",
  "search": "example",
  "tabId": "SUBJECT_TYPE_UNSPECIFIED",
  "pageSize": 0.5,
  "pageToken": "example",
  "filter": "example"
}

Name

Description

filter

Type: string

Filter applied to the member list.

Example: example

language

Type: string

Language used for member data.

Enum: en, ru

pageSize

Type: number

Maximum number of members to return.

pageToken

Type: string

Token for the next page of members.

Example: example

search

Type: string

Text used to search for members.

Example: example

tabId

Type: string

Subject type used to filter members.

Enum: SUBJECT_TYPE_UNSPECIFIED, USER_ACCOUNT, GROUP, INVITEE, SERVICE_ACCOUNT, _system

Responses

200 OK

Response

Body

application/json
{
  "members": [
    {
      "sub": "example",
      "subType": "SUBJECT_TYPE_UNSPECIFIED",
      "email": "example",
      "name": "example",
      "givenName": "example",
      "familyName": "example",
      "preferredUsername": "example",
      "federation": null,
      "pictureData": "example",
      "picture": "example",
      "idpType": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

members

Type: AccessExtSubjectClaims[]

Members matching the request.

Example
[
  {
    "sub": "example",
    "subType": "SUBJECT_TYPE_UNSPECIFIED",
    "email": "example",
    "name": "example",
    "givenName": "example",
    "familyName": "example",
    "preferredUsername": "example",
    "federation": null,
    "pictureData": "example",
    "picture": "example",
    "idpType": "example"
  }
]

nextPageToken

Type: string

Token for the next page of members.

Example: example

AccessExtSubjectClaims

Name

Description

email

Type: string

Subject email address.

Example: example

familyName

Type: string

Subject family name.

Example: example

givenName

Type: string

Subject given name.

Example: example

name

Type: string

Subject display name.

Example: example

preferredUsername

Type: string

Preferred username of the subject.

Example: example

sub

Type: string

Subject identifier.

Example: example

subType

Type: string

Subject type.

Enum: SUBJECT_TYPE_UNSPECIFIED, USER_ACCOUNT, GROUP, INVITEE, SERVICE_ACCOUNT, _system

federation

Type: unknown

Federation associated with the subject.

Example: null

idpType

Type: string | null

Type of the subject identity provider.

Example: example

picture

Type: string

URL of the subject profile picture.

Example: example

pictureData

Type: string

Encoded profile picture data.

Example: example

Example
{
  "sub": "example",
  "subType": "SUBJECT_TYPE_UNSPECIFIED",
  "email": "example",
  "name": "example",
  "givenName": "example",
  "familyName": "example",
  "preferredUsername": "example",
  "federation": null,
  "pictureData": "example",
  "picture": "example",
  "idpType": "example"
}
Previous